/***********************************************/
/*  sysconf.c : system configuration table     */
/*              for STM32F4-Discovery          */
/***********************************************/

#include "../common/tonegen.h"

// lb_ofs  = log2(min_MIDI_freq) - log2(fs) + Q_phacc - Q_fnumber + 1
//         = 17.031360 - log2(fs)
//         = log2(t1div) - 9.292526

// oct_ofs  = floor(lb_ofs)

// note_ofs = 1536 * (lb_ofs - oct_ofs)

const sys_config_st_t sys_config[2][MAX_CONFIG] = {
//
// for STEREO
 {// poly, fs_Hz, tick1ms, tick4ms, oct_ofs, note_ofs,  fs_str, plln, pllr}
   {   16, 49716,      50,     200,       1,      660,  "49.7",  280,  2 },// fs=49.716 kHz
   {   16, 48000,      48,     192,       1,      739,  "48.0",  258,  3 },// fs=47.991 kHz
   {   20, 40000,      40,     160,       1,     1142,  "40.0",  256,  5 },// fs=40.000 kHz
   {   23, 35000,      35,     140,       1,     1438,  "35.0",  224,  5 },// fs=35.000 kHz
   {   25, 32000,      32,     128,       2,      101,  "32.0",  213,  2 },// fs=32.001 kHz
 },
//
// for MONO
 {// poly, fs_Hz, tick1ms, tick4ms, oct_ofs, note_ofs,  fs_str, plln, pllr}
   {   20, 49716,      50,     200,       1,      660,  "49.7",  280,  2 },// fs=49.716 kHz
   {   21, 48000,      48,     192,       1,      739,  "48.0",  258,  3 },// fs=47.991 kHz
   {   25, 40000,      40,     160,       1,     1142,  "40.0",  256,  5 },// fs=40.000 kHz
   {   29, 35000,      35,     140,       1,     1438,  "35.0",  224,  5 },// fs=35.000 kHz
   {   32, 32000,      32,     128,       2,      101,  "32.0",  213,  2 },// fs=32.001 kHz
 }
}; // const sys_config_st_t sys_config[]
