/****************************************************/
/*                                                  */
/* globals.h : Global variables define              */
/*                                                  */
/* NON COMMERCIAL USE ONLY                          */
/*                                                  */
/* 2011/04/20 Rev. 1.01 by pcm1723 (reorganized)    */
/*                                                  */
/****************************************************/

#ifndef GLOBALS_H
#define GLOBALS_H

#include <stddef.h>

typedef unsigned int uint;

#define MAXSHORT 32767

//
// macros
//
#define ABS(x) ((0>x)?(-x):x)

#define LB_to_LIN_s(x,s) (((uint32_t)lb2lin[0x3f & (x)]) << (s - ((uint32_t)(x) >> 6)))
#define LB_to_LIN(x) (((x) >= (EG_96dB>>16)) ? 0 : LB_to_LIN_s(x,16))

#define OPL3MULT(x)  (mult_tab[x])
#define OPL3RATE(x)  ((x)<<2)
#define OPL3LEVEL(x) ((x)<<3)

#define UNIT_RAM_SIZE (sizeof(unit_prop_t)*ABS_MAX_UNITS + sizeof(ch_prop_t)*ABS_MAX_PARTS)

//
// placeholder for AVR specific program memory access
//
#define READ_BYTE(x)  (x)
#define READ_WORD(x)  (x)
#define READ_DWORD(x) (x)
#define PROGMEM

#define prog_uint8_t  uint8_t
#define prog_sint8_t  sint8_t
#define prog_int8_t    int8_t
#define prog_uint16_t uint16_t
#define prog_sint16_t sint16_t
#define prog_int16_t   int16_t
#define prog_uint32_t uint32_t
#define prog_sint32_t sint32_t
#define prog_int32_t   int32_t


//
// variables
//
extern int  tick1ms;
extern int  t4ms;
extern int  t4ms0;
extern int  basech;
extern int  eos;
extern int  panel_mode;
extern int sys_mode_index;
extern int debounce;
extern uint32_t panel_sw_q;
extern volatile uint16_t adc_data;
extern int     delay_mem_size;
extern int16_t delay_ms;
extern volatile int   t1_tick;
extern volatile int  fastchip;

#if defined(USEWAVEQUE)
extern volatile int   wq_wr_ix, wq_rd_ix;
  #if defined(STM32F4XX) // always 2 channel
    extern int16_t wave_que[WAVEQUESIZE][2];
  #else
    extern int16_t wave_que[WAVEQUESIZE][STEREO_MODE+1];
  #endif // #if defined(STM32F4XX)
#endif // #if defined(USEWAVEQUE)
#if !defined(DEFAULT_DELAY_ms)
  #define DEFAULT_DELAY_ms  127
  #define DEFAULT_DELAY2_ms 113
#endif

#if defined(REVERB)
  extern int echo_dep, delayp;
  extern int16_t delaymem[DELAYMEMSIZE];
  #if (defined(Shroeder))
  extern const int16_t comb_len_tab[MAX_CONFIG][6];
  extern const int16_t comb_coef_tab[MAX_CONFIG][6];
  #endif // #if (defined(Shroeder))
#endif // #if defined(REVERB)


#endif // GLOBALS_H
