/****************************************************/
/*                                                  */
/* tonegen.h : RX62N tone generator header file     */
/*                                                  */
/* NON COMMERCIAL USE ONLY                          */
/*                                                  */
/* 2011/04/24 Rev. 1.1 by pcm1723                   */
/*                                                  */
/****************************************************/

#ifndef TONEGEN_H
#define TONEGEN_H
//
// machine dependent includes
//
#if   defined(__RX)     // CQ-FRK-RX62N
  #include <inttypes.h>
  #include "../RX62N/iodefine.h"
  #include "../RX62N/TGRX62N.h"
#elif defined(_SH2AFPU) // CQ-FRK-SH2A
  #include "../SH2A/inttypes.h"
  #include "../SH2A/iodefine.h"
  #include "../SH2A/TGSH2A.h"
#elif defined(STM32F4XX) // STM32F4-Discovery
  #include "stm32f4xx.h"
  #include "stm32f4_discovery.h"
  #include "../STM32F4/TGSTM32F4.h"
#endif

#if  (!defined(__RX) && !defined(STM32F4XX))
  #include "../common/tgmisc1.h"
#endif
//
// common includes
//
#include "../common/globals.h"
#include "../common/lcd.h"
#include "../common/vma2.h"
#include "../common/op8k.h"
#include "../common/unit.h"
#include "../common/midifunc.h"
#include "../common/sysx.h"
#include "../common/eg.h"
#include "../common/sysconf.h"
#include "../common/smaf.h"
#include "../common/seq.h"
#if (defined(REVERB) & defined(Shroeder))
  #include "../common/effect.h"
#endif

#if  (!defined(__RX) && !defined(STM32F4XX))
  #include "../common/tgmisc2.h"
#endif

#endif // TONEGEN_H
